apiVersion: apps/v1
kind: Deployment
metadata:
  name: frontend-deployment
  labels:
    app: frontend_app
spec:
  replicas: 1
  selector:
    matchLabels:
      app: frontend_app
  template:
    metadata:
      labels:
        app: frontend_app
    spec:
      containers:
      - name: frontend
        image: houcemserver/frontend:v0.0.1
        ports:
        - containerPort: 80
---
apiVersion: v1
kind: Service
metadata:
  name: frontend-service
spec:
  type: NodePort
  selector:
     app: frontend_app
  ports:
  - port: 8081
    targetPort: 80
    nodePort: 30020
